DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Private Attributes | Friends | List of all members
SegmentedPropertyTypeCodeItem Class Reference

Class representing the Segmented Property Type Code and Segmented Property Type Code Modifier Code Sequence. More...

## Public Member Functions
| SegmentedPropertyTypeCodeItem ()
| Constructor.
virtual | ~SegmentedPropertyTypeCodeItem ()
| Virtual destructor, frees memory.
virtual void | clearData ()
| Clear all data.
virtual OFCondition | check (const OFBool quiet=OFFalse)
| Check whether class has valid data.
virtual OFCondition | read (DcmItem &item, const OFBool clearOldData=OFTrue)
| Read data from given item.
virtual OFCondition | write (DcmItem &item)
| Write data to given item.

## Protected Member Functions
OFCondition | checkModifiers (const OFBool quiet=OFFalse)
| Check whether the modifier codes are ok.

## Private Attributes
CodeSequenceMacro | m_SegmentedPropertyTypeCode
| Segmented Property Type Code (SQ,1,1) Baseline CID 7151.
OFVector< CodeSequenceMacro * > | m_SegmentedPropertyTypeModifierCode
| Segmented Property Type Modifier Code (SQ, VM 1-n, Type 3)

## Friends
class | SegmentDescriptionMacro
| Easy access to containing class.

## Detailed Description

Class representing the Segmented Property Type Code and Segmented Property Type Code Modifier Code Sequence.

## Member Function Documentation

## ◆ check()

virtual OFCondition SegmentedPropertyTypeCodeItem::check | ( | const OFBool | quiet = OFFalse | ) |
| virtual

Check whether class has valid data.

Parameters

  quiet | If OFTrue, check will not produce any warnings or errors on the logger. Default is OFFalse.

Returns
  EC_Normal if data is valid, error otherwise

## ◆ checkModifiers()

OFCondition SegmentedPropertyTypeCodeItem::checkModifiers | ( | const OFBool | quiet = OFFalse | ) |
| protected

Check whether the modifier codes are ok.

Parameters

  quiet | If OFTrue, no warnings or errors will be printed to the loggers. Default is OFFalse.

Returns
  EC_Normal if data is ok, error otherwise

## ◆ read()

virtual OFCondition SegmentedPropertyTypeCodeItem::read | ( | DcmItem & | item,
|  | const OFBool | clearOldData = OFTrue )
| virtual

Read data from given item.

Parameters

  item | The item to read from
  clearOldData | If OFTrue, old data is cleared before reading

Returns
  EC_Normal if reading was successful, error otherwise

## ◆ write()

virtual OFCondition SegmentedPropertyTypeCodeItem::write | ( | DcmItem & | item | ) |
| virtual

Write data to given item.

Parameters

  item | The item to write to

Returns
  EC_Normal if writing was successful, error otherwise

The documentation for this class was generated from the following file:

- dcmseg/include/dcmtk/dcmseg/segtypes.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2